FROM alpine as qemu

RUN if [ -n "x86_64" ]; then \
		wget -O /qemu-x86_64-static https://github.com/multiarch/qemu-user-static/releases/download/v4.0.0-5/qemu-x86_64-static; \
	else \
		echo '#!/bin/sh\n\ntrue' > /qemu-x86_64-static; \
	fi; \
	chmod a+x /qemu-x86_64-static

FROM amd64/alpine:3.12

COPY --from=qemu /qemu-x86_64-static /usr/bin/

RUN apk update; apk add parted \
		bash; \
	mkdir -p /root/.ssh; \
	echo root:pantacor | chpasswd

ENTRYPOINT ["/bin/sh"]
CMD [ "/sbin/init" ]
